Subject: bug#71779: 30.0.60; tab-bar-select-restore-windows: docstring vs default value

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Jun 2024 19:59:20 +0300

close 71779 30.0.60
thanks

> I am not 100% sure I succeeded in capturing the state of things, so feel
> free to dismiss the patch; my main goal was to make it easier for Past
> Me to get an answer to the question: "How do I get the previous
> behaviour back"?

Thanks, I adapted your suggestion for the docstring.

> (Rationale FWIW: IME killing buffers is deliberate, so the placeholder
> buffer feels redundant, i.e. it brings no information; if I am
> displeased with whatever random buffer was picked to show in that
> window, I can just switch to another buffer or delete the window)

Actually, it's not about displeasing, it's about confusion.
For example, a user has a tab with the name "NEWS", switches
to another tab and kills the buffer, then quits Emacs,
and the next day opens the tab "NEWS", and it displays
a random buffer, e.g. "TODO".  So the user asks: "Why?"
With this option the answer in the same window.